#!/bin/sh
#
#  install.sh
#
#  Install OpenLink products
#
#  (C)Copyright 1993, 1994, 1995 OpenLink Software.
#  All Rights Reserved.
#
#  The copyright above and this notice must be preserved in all
#  copies of this source code.  The copyright above does not
#  evidence any actual or intended publication of this source code.
#
#  This is unpublished proprietary trade secret of OpenLink Software.
#  This source code may not be copied, disclosed, distributed, 
#  demonstrated or licensed except as authorized by OpenLink Software.
#

for file in *.taz
do
    echo "Extracting ($file) ..."
    cat $file | compress -cd | tar xf -
done

#
# Ask for a username/group and change ownership of each file
#
echo "Enter the name of the user that owns the programs: \c"
read owner
find . -print | xargs chown $owner

echo "Enter the name of the group that owns the programs: \c"
read group
find . -print | xargs chgrp $group

#
# Register the broker if a register file is available
if [ -f register.ini -a -f bin/register ]
then
    echo "Registering ..."
    cp register.ini bin
    cd bin
    ./register
    cd ..
fi
